clang 10.0.0git

Public Member Functions | List of all members
clang::CFGCallback Class Reference

CFGCallback defines methods that should be called when a logical operator error is found when building the CFG. More...

`#include "clang/Analysis/CFG.h"`

## Public Member Functions
| CFGCallback ()=default
virtual | ~CFGCallback ()=default
virtual void | compareAlwaysTrue (const BinaryOperator *B, bool isAlwaysTrue)
virtual void | compareBitwiseEquality (const BinaryOperator *B, bool isAlwaysTrue)
virtual void | compareBitwiseOr (const BinaryOperator *B)

## Detailed Description

CFGCallback defines methods that should be called when a logical operator error is found when building the CFG.

Definition at line 1208 of file CFG.h.

## Constructor & Destructor Documentation

## ◆ CFGCallback()

clang::CFGCallback::CFGCallback | ( |  | ) |
| default

## ◆ ~CFGCallback()

virtual clang::CFGCallback::~CFGCallback | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ compareAlwaysTrue()

virtual void clang::CFGCallback::compareAlwaysTrue | ( | const BinaryOperator * | B,
|  | bool | isAlwaysTrue
| ) |  |
| inline virtual

Definition at line 1213 of file CFG.h.

## ◆ compareBitwiseEquality()

virtual void clang::CFGCallback::compareBitwiseEquality | ( | const BinaryOperator * | B,
|  | bool | isAlwaysTrue
| ) |  |
| inline virtual

Definition at line 1214 of file CFG.h.

## ◆ compareBitwiseOr()

virtual void clang::CFGCallback::compareBitwiseOr | ( | const BinaryOperator * | B | ) |
| inline virtual

Definition at line 1216 of file CFG.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/CFG.h